import { Button, Result } from 'antd';
import { useTranslation } from 'react-i18next';
import { useNavigate } from 'react-router-dom';

const ServerError = () => {
    const navigate = useNavigate();
    const { t } = useTranslation();

    return (
        <Result
            status="500"
            title={t('pages.error.500.title')}
            subTitle={t('pages.error.500.subtitle')}
            extra={
                <Button type="primary" onClick={() => navigate('/')}>
                    {t('pages.error.500.backHome')}
                </Button>
            }
        />
    );
};

export default ServerError;
